#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
#-----------------------------------------------------------------------------
Name		:	libxml2
Version		:	2.10.3
Release		:	14.4.0.0%{?dist}
Summary		:	Library providing XML and HTML support
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	http://xmlsoft.org/

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	python3

Provides	:	%{name}-%{version}-%{release}
#-----------------------------------------------------------------------------
%description
This library allows to manipulate XML files. It includes support
to read, modify and write XML and HTML files. There is DTDs support
this includes parsing and validation even with complex DtDs, either
at parse time or later once the document has been modified. The output
can be a simple SAX stream or and in-memory DOM like representations.
In this case one can use the built-in XPath and XPointer implementation
to select subnodes or ranges. A flexible Input/Output mechanism is
available, with existing HTTP and FTP modules and combined to an
URI library.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc NEWS README.md
%attr (755,root,root) %{_bindir}/xmlcatalog
%attr (755,root,root) %{_bindir}/xmllint
%{_libdir}/%{name}.so*
%{_mandir}/man1/xmlcatalog.1.gz
%{_mandir}/man1/xmllint.1.gz
#{_mandir}/man3/libxml.3.gz

#============================================================================
%package	devel
Summary		:	Header files etc to develop libxml2 applications

#-----------------------------------------------------------------------------
Requires	:	%{name}-%{version}-%{release}

#-----------------------------------------------------------------------------
%description	devel
Header files etc you can use to develop libxml2 applications.

#-----------------------------------------------------------------------------
%files		devel
%defattr(-,root,root,-)
%attr (755,root,root) %{_bindir}/xml2-config
%{_includedir}/%{name}/libxml/*.h
%{_includedir}/libxml
%{_libdir}/cmake/%{name}
%{_libdir}/pkgconfig/libxml-2.0.pc
%{_datadir}/aclocal/libxml.m4
%{_mandir}/man1/xml2-config.1.gz

#============================================================================
%package -n	python3-%{name}

Summary		:	libxml2 module for Python 3.x

#-----------------------------------------------------------------------------
Requires	:	%{name}-%{version}-%{release}
Requires	:	python3

#-----------------------------------------------------------------------------
%description -n	python3-%{name}
This is the libxml2 module for Python 3.x, providing access to the
libxml2 library.

#-----------------------------------------------------------------------------
%files -n	python3-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{python3_sitelib}/%{name}mod.so
%{python3_sitelib}/__pycache__/*.pyc
%{python3_sitelib}/%{name}.py
%{python3_sitelib}/drv_%{name}.py


#============================================================================
%package 	apidocs

Summary		:	%{name} API documentation

#-----------------------------------------------------------------------------
Requires	:	gtk-doc

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description 	apidocs
%{name} API documentation

#-----------------------------------------------------------------------------
%files 		apidocs
%defattr(644,root,root,-)
%doc README.md Copyright
%{_defaultdocdir}/%{name}-%{version}/examples/*.c
%{_defaultdocdir}/%{name}-%{version}/examples/index.html
%{_defaultdocdir}/%{name}-%{version}/xml*.html
%{_defaultdocdir}/%{name}-%{version}/python/TODO
%{_defaultdocdir}/%{name}-%{version}/python/examples/test.dtd
%{_defaultdocdir}/%{name}-%{version}/python/examples/*.py
%{_defaultdocdir}/%{name}-%{version}/python/examples/*.xml
%{_defaultdocdir}/%{name}-%{version}/tutorial/*.html
%{_defaultdocdir}/%{name}-%{version}/tutorial/images/*.png
%{_defaultdocdir}/%{name}-%{version}/tutorial/images/callouts/*.png
%{_defaultdocdir}/%{name}-%{version}/tutorial/*.c
%{_datadir}/gtk-doc/html/%{name}/%{name}.devhelp2
%{_datadir}/gtk-doc/html/%{name}/*.{png,devhelp,css}
%{_datadir}/gtk-doc/html/%{name}/{general,index}.html
%{_datadir}/gtk-doc/html/%{name}/%{name}-*.html

#============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

./autogen.sh						\
        --prefix=%{_prefix}				\
	--includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\
	--with-history					\
	--with-python=%{__python}			\


%define _smp_mflags	-j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

%{__ln_s}						\
	%{name}/libxml					\
	%{buildroot}%{_includedir}/libxml

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
